from parallels.core.utils.entity import Entity


class PhpHandler(Entity):
    def __init__(
        self, handler_id, handler_type, handler_type_name, version,
        display_name, registered, enabled
    ):
        self._handler_id = handler_id
        self._handler_type = handler_type
        self._handler_type_name = handler_type_name
        self._version = version
        self._display_name = display_name
        self._registered = registered
        self._enabled = enabled

    @property
    def handler_id(self):
        """
        :rtype: str | unicode
        """
        return self._handler_id

    @property
    def handler_type(self):
        """
        :rtype: str | unicode
        """
        return self._handler_type

    @property
    def handler_type_name(self):
        """
        :rtype: str | unicode
        """
        return self._handler_type_name

    @property
    def version(self):
        """
        :rtype: str | unicode
        """
        return self._version

    @property
    def display_name(self):
        """
        :rtype: str | unicode
        """
        return self._display_name

    @property
    def registered(self):
        """
        :rtype: str | unicode
        """
        return self._registered

    @property
    def enabled(self):
        """
        :rtype: str | unicode
        """
        return self._enabled
